# Brand

This type is derived from <https://schema.org/Brand>, which means that any of this type's properties within schema.org may also be used. Note however the properties on this page must be used in preference if a relevant property is available.

## **Properties**

### **Required properties**

| Property | Expected Type                     | Description                                                                                                                                     |
| -------- | --------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------- |
| @type    | [`Text`](https://schema.org/Text) | Must always be present and set to `"@type": "Brand"`                                                                                            |
| name     | [`Text`](https://schema.org/Text) | <p>The name of the brand.</p><p><br>Example</p><p><code>"name": "Play Ball!"</code></p>                                                         |
| url      | [`URL`](https://schema.org/URL)   | <p>A url where further information can be found for the brand.</p><p><br>Example</p><p><code>"url": "<http://example.com/play_ball>"</code></p> |

### **Recommended properties**

| Property    | Expected Type                                                                 | Description                                                                                                                                                                                                                            |
| ----------- | ----------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| description | [`Text`](https://schema.org/Text)                                             | <p>A plain text description for the brand, which must not include HTML or other markup.</p><p><br>Example</p><p><code>"description": "Play Ball! is a series of games for people of all abilities."</code></p>                         |
| logo        | [`ImageObject`](https://developer.openactive.io/data-model/types/imageobject) | <p>The logo associated with the brand.</p><p><br>Example</p><p><code>"logo": {</code><br>  <code>"@type": "ImageObject",</code><br>  <code>"url": "<http://example.com/static/image/speedball_large.jpg>"</code><br><code>}</code></p> |

### **Optional properties**

| Property   | Expected Type                                                                                                                                                                                                                                                                                                                                                                                | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| ---------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| @id        | [`URL`](https://schema.org/URL)                                                                                                                                                                                                                                                                                                                                                              | <p>A unique URI-based identifier for the record.</p><p><code>@id</code> properties are used as identifiers for compatibility with JSON-LD. The value of such a property must always be an absolute URI that provides a stable globally unique identifier for the resource, as described in <a href="https://tools.ietf.org/html/rfc3986">RFC3986</a>.</p><p>The primary purpose of the URI format in this context is to provide natural namespacing for the identifier. Hence, the URI itself may not resolve to a valid endpoint, but must use a domain name controlled by the resource owner (the organisation responsible for the OpenActive open data feed).</p><p><br>Example</p><p><code>"@id": "<https://example.com/programmes/12345>"</code></p> |
| identifier | <p><a href="https://schema.org/Text"><code>Text</code></a><br>- or -<br><a href="https://developer.openactive.io/data-model/types/propertyvalue"><code>PropertyValue</code></a><br>- or -<br>Array of <a href="https://developer.openactive.io/data-model/types/propertyvalue"><code>PropertyValue</code></a><br>- or -<br><a href="https://schema.org/Integer"><code>Integer</code></a></p> | <p>A local non-URI identifier for the resource</p><p><br>Example</p><p><code>"identifier": "BR1234"</code></p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |

### **Beta Extension properties**

These properties are defined in the [OpenActive Beta Extension](https://openactive.io/ns-beta). The OpenActive Beta Extension is defined as a convenience to help document properties that are in active testing and review by the community. Publishers should not assume that properties in the beta namespace will either be added to the core specification or be included in the namespace over the long term.

| Property                  | Expected Type                                            | Description                                                                                                                                                                                                                                                                                            |
| ------------------------- | -------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| beta:formattedDescription | [`Text`](https://schema.org/Text)                        | <p><a href="https://github.com/openactive/modelling-opportunity-data/issues/276">Proposal #276</a></p><p>Sometimes a description is stored with formatting (e.g. href, bold, italics, embedded YouTube videos). This formatting can be useful for data consumers. This property must contain HTML.</p> |
| beta:video                | Array of [`VideoObject`](https://schema.org/VideoObject) | <p><a href="https://github.com/openactive/modelling-opportunity-data/issues/88">Proposal #88</a></p><p>A related video object.</p>                                                                                                                                                                     |

Except as otherwise noted, the content of this page is licensed under the [Creative Commons Attribution License (CC-BY V4.0)](https://creativecommons.org/licenses/by/4.0/), and code samples are licensed under the [MIT License](https://opensource.org/licenses/MIT), for anyone to access, use and share; using attribution "[OpenActive](https://www.openactive.io/)".


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.openactive.io/data-model/types/brand.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
